#pragma once
#include "common.h"
#include <string>

namespace input
{
    uchar getKey(uint key);
    const vec2d &getCursor();
    vec2d getCursorDiff();
    float getScroll();
    uint getSymbol();

    void setKey(uint key, uchar value);
    void setCursor(const vec2d &value);

    float getJoystickAxis(uint axis);
    bool getJoystickButton(uint button);

    bool isJoystickPresent(uint joy);
    const char *getJoystickName();

    float getJoystickAxis(uint joy, uint axis);
    bool getJoystickButton(uint joy, uint button);


}

